Bug 67952 - Bad Emacs code in site-start.d/php-mode-init.el
Bad Emacs code in site-start.d/php-mode-init.el
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: emacs (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-04 15:16 EDT by Eli Barzilay
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-04 15:16:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eli Barzilay 2002-07-04 15:16:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/0

Description of problem:
The code in site-start.d/php-mode-init.el uses a bad regexp
for auto-mode-alist, unlike the code in php-mode.el.
What it does is match the *regexp* ".php" causing any file name that
contains any character and then "php" to load in php mode.  The pattern should
escape the dot and have an end-of-text anchor:
  "\\.php\\'".

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. open any file like foophp.c


Actual Results:  File got opened in php mode.


Expected Results:  Should have been C mode.


Additional info:

I mailed once saying that there are many examples of bad elisp
code in the RedHat rpms.
Comment 1 Trond Eivind Glomsrxd 2002-07-08 18:09:34 EDT
Fixed in emacs-21.2-11

Note You need to log in before you can comment on or make changes to this bug.